tbb::internal::rml Namespace Reference

## Classes

class | private_worker
class | padded_private_worker
class | private_server

## Typedefs

typedef thread_monitor::handle_type | thread_handle

## Functions

tbb_server * | make_private_server (tbb_client &client)
| Factory method called from task.cpp to create a private_server. More...

## Variables

static const size_t | cache_line_size = tbb::internal::NFS_MaxLineSize

## Typedef Documentation

## thread_handle

typedef thread_monitor::handle_type tbb::internal::rml::thread_handle

Definition at line 31 of file private_server.cpp.

## Function Documentation

## make_private_server()

tbb_server * tbb::internal::rml::make_private_server | ( | tbb_client & | client | ) |

Factory method called from task.cpp to create a private_server.

Definition at line 411 of file private_server.cpp.

{
return new( tbb::cache_aligned_allocator<private_server>().allocate(1) ) private_server(client);
}
tbb::cache_aligned_allocator
Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5.
Definition: cache_aligned_allocator.h:60
tbb::cache_aligned_allocator::allocate
pointer allocate(size_type n, const void *hint=0)
Allocate space for n objects, starting on a cache/sector line.
Definition: cache_aligned_allocator.h:80

References tbb::cache_aligned_allocator< T >::allocate().

Referenced by tbb::internal::governor::create_rml_server().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## cache_line_size

const size_t tbb::internal::rml::cache_line_size = tbb::internal::NFS_MaxLineSize

static

Definition at line 100 of file private_server.cpp.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.